% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/nonparboot.R
\name{bootstrap_pt_sample}
\alias{bootstrap_pt_sample}
\title{Internal Bootstrap Sampling Function for Paired T-tests}
\usage{
bootstrap_pt_sample(x_val, y_val, grp_val, grp_sizes, pre_calc)
}
\arguments{
\item{x_val}{A numeric vector of values from the primary variable.}

\item{y_val}{A numeric vector of values from the second variable.}

\item{grp_val}{A factor vector of group labels. This parameter is not used in
this function but is included for consistency with other bootstrap sampling
functions.}

\item{grp_sizes}{A table of group sizes. This parameter is not used in this
function but is included for consistency with other bootstrap sampling
functions.}

\item{pre_calc}{A list containing pre-calculated statistics from the original
data.}
}
\value{
A numeric vector of length 2 containing the bootstrapped test statistic
and mean difference.
}
\description{
This is an internal function used by nonparboot() to perform bootstrap
resampling for paired t-tests.
}
\keyword{internal}
